package siprp.higiene.relatorio.print;

import java.util.Vector;

import org.jdom.Element;

public class RiscoToPrint
	implements PrintableInterface
{
	protected String descricao;
	protected Integer severidade;
	protected Integer probabilidade;
	protected String valorQualitativo;
	protected Vector<MedidaToPrint> medidas;
	
	public RiscoToPrint( String descricao, Integer severidade, Integer probabilidade,
			String valorQualitativo, Vector<MedidaToPrint> medidas )
	{
		super();
		this.descricao = descricao;
		this.severidade = severidade;
		this.probabilidade = probabilidade;
		this.valorQualitativo = valorQualitativo;
		this.medidas = medidas;
	}

	@Override
	public Element toJdomElement() throws Exception
	{
		Element riscoElement = new Element( "risco" );
		Element descricaoElement = new Element( "descricao" );
		descricaoElement.setText( descricao );
		riscoElement.addContent( descricaoElement );
		Element severidadeElement = new Element( "severidade" );
		severidadeElement.setText( severidade != null ? severidade.toString() : " " );
		riscoElement.addContent( severidadeElement );
		Element probabilidadeElement = new Element( "probabilidade" );
		probabilidadeElement.setText( probabilidade != null ? probabilidade.toString() : " " );
		riscoElement.addContent( probabilidadeElement );
		Element valorElement = new Element( "valor" );
		valorElement.setText( ( severidade != null && probabilidade != null ) ? "" + ( severidade * probabilidade ) : " " );
		riscoElement.addContent( valorElement );
		Element valorQualitativoElement = new Element( "valor-qualitativo" );
		valorQualitativoElement.setText( valorQualitativo != null ? valorQualitativo : " " );
		riscoElement.addContent( valorQualitativoElement );
		for( MedidaToPrint medida : medidas )
		{
			riscoElement.addContent( medida.toJdomElement() );
		}
		
		return riscoElement;
	}
}
